Bug 1293825 - When specified ports not 5000, the docker-registry pod's container will frequently restart
When specified ports not 5000, the docker-registry pod's container will frequ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Image Registry (Show other bugs)
3.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Paul Weil
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-23 02:48 EST by zhou ying
Modified: 2016-05-12 13:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:10:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhou ying 2015-12-23 02:48:47 EST
Description of problem:
Deploy the docker-registry and specify the registry pod expose on port 5001, when the pod runing, the  docker-registry pod's container will frequently restart

Version-Release number of selected component (if applicable):
openshift v1.1-618-g10b7cd1
kubernetes v1.1.0-origin-1107-g4c8e6f4
etcd 2.1.2

How reproducible:
Always

Steps to Reproduce:
1. Start openshift;
2. Dploy the docker-registry in openshift:
  `oadm registry --create --credentials=openshift.local.config/master/openshift-registry.kubeconfig --ports='5001' --latest-images=true --config=openshift.local.config/master/admin.kubeconfig`
3. Wait for the docker-regsitry pod running

Actual results:
3.The docker-registry pod's container will frequently restart

Expected results:
3. The docker-registry pod's container will stable.

Additional info:
[root@ip-172-18-0-173 amd64]# oc logs -f docker-registry-1-4klkl --config=openshift.local.config/master/admin.kubeconfig
time="2015-12-23T05:57:02.491511759Z" level=info msg="version=v2.1.0+unknown" 
time="2015-12-23T05:57:03.752209586Z" level=warning msg="No HTTP secret provided - generated random secret. This may cause problems with uploads if multiple registries are behind a load-balancer. To provide a shared secret, fill in http.secret in the configuration file or set the REGISTRY_HTTP_SECRET environment variable." go.version=go1.4.2 instance.id=49460802-c17a-42aa-adde-2caf0a2e79f3 
time="2015-12-23T05:57:03.752213173Z" level=info msg="Starting upload purge in 20m0s" go.version=go1.4.2 instance.id=49460802-c17a-42aa-adde-2caf0a2e79f3 
time="2015-12-23T05:57:03.752278Z" level=info msg="redis not configured" go.version=go1.4.2 instance.id=49460802-c17a-42aa-adde-2caf0a2e79f3 
time="2015-12-23T05:57:03.752315039Z" level=info msg="using inmemory blob descriptor cache" go.version=go1.4.2 instance.id=49460802-c17a-42aa-adde-2caf0a2e79f3 
time="2015-12-23T05:57:03.752332264Z" level=info msg="Using Origin Auth handler" 
time="2015-12-23T05:57:03.752358629Z" level=debug msg="configured \"openshift\" access controller" go.version=go1.4.2 instance.id=49460802-c17a-42aa-adde-2caf0a2e79f3 
time="2015-12-23T05:57:03.752540365Z" level=info msg="listening on :5000" go.version=go1.4.2 instance.id=49460802-c17a-42aa-adde-2caf0a2e79f3 


[root@ip-172-18-0-173 amd64]# tail -f logs 
I1223 00:56:13.210956    2206 manager.go:1776] pod "docker-registry-1-4klkl_default" container "registry" is unhealthy, it will be killed and re-created.
I1223 00:56:23.211562    2206 manager.go:1776] pod "docker-registry-1-4klkl_default" container "registry" is unhealthy, it will be killed and re-created.
Comment 1 zhou ying 2015-12-23 02:49:55 EST
[root@ip-172-18-0-173 amd64]# docker inspect 11c8486c5895
[
{
    "Id": "11c8486c5895f8a5968fa3ffbbd4b3c26600f2112f1bedd1f10e2bf721da7375",
    "Created": "2015-12-23T06:21:24.718449394Z",
    "Path": "/bin/sh",
    "Args": [
        "-c",
        "DOCKER_REGISTRY_URL=${DOCKER_REGISTRY_SERVICE_HOST}:${DOCKER_REGISTRY_SERVICE_PORT} /dockerregistry ${REGISTRY_CONFIGURATION_PATH}"
    ],
    "State": {
        "Running": false,
        "Paused": false,
        "Restarting": false,
        "OOMKilled": false,
        "Dead": false,
        "Pid": 0,
        "ExitCode": 2,
        "Error": "",
        "StartedAt": "2015-12-23T06:21:25.082600081Z",
        "FinishedAt": "2015-12-23T06:21:34.090549277Z"
    },
    "Image": "169b5ab7a823810816bda36b2f91deeb20a8f514127aeffd469734d95f93bc3a",
    "NetworkSettings": {
        "Bridge": "",
        "EndpointID": "",
        "Gateway": "",
        "GlobalIPv6Address": "",
        "GlobalIPv6PrefixLen": 0,
        "HairpinMode": false,
        "IPAddress": "",
        "IPPrefixLen": 0,
        "IPv6Gateway": "",
        "LinkLocalIPv6Address": "",
        "LinkLocalIPv6PrefixLen": 0,
        "MacAddress": "",
        "NetworkID": "",
        "PortMapping": null,
        "Ports": null,
        "SandboxKey": "",
        "SecondaryIPAddresses": null,
        "SecondaryIPv6Addresses": null
    },
    "ResolvConfPath": "/var/lib/docker/containers/8549a2e33779c05f3f4eb2d2647689278e7ee204869965a453a97637236f0eb6/resolv.conf",
    "HostnamePath": "/var/lib/docker/containers/8549a2e33779c05f3f4eb2d2647689278e7ee204869965a453a97637236f0eb6/hostname",
    "HostsPath": "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/etc-hosts",
    "LogPath": "/var/lib/docker/containers/11c8486c5895f8a5968fa3ffbbd4b3c26600f2112f1bedd1f10e2bf721da7375/11c8486c5895f8a5968fa3ffbbd4b3c26600f2112f1bedd1f10e2bf721da7375-json.log",
    "Name": "/k8s_registry.ee147f96_docker-registry-1-3q416_default_1c667992-a93d-11e5-887a-0e34071fbebb_333a89da",
    "RestartCount": 0,
    "Driver": "devicemapper",
    "ExecDriver": "native-0.2",
    "MountLabel": "system_u:object_r:svirt_sandbox_file_t:s0:c1,c0",
    "ProcessLabel": "system_u:system_r:svirt_lxc_net_t:s0:c1,c0",
    "AppArmorProfile": "",
    "ExecIDs": null,
    "HostConfig": {
        "Binds": [
            "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/volumes/kubernetes.io~empty-dir/registry-storage:/registry:Z",
            "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/volumes/kubernetes.io~secret/default-token-269t7:/var/run/secrets/kubernetes.io/serviceaccount:ro,Z",
            "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/etc-hosts:/etc/hosts",
            "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/containers/registry/11c8486c5895f8a5968fa3ffbbd4b3c26600f2112f1bedd1f10e2bf721da7375:/dev/termination-log"
        ],
        "ContainerIDFile": "",
        "LxcConf": null,
        "Memory": 0,
        "MemorySwap": -1,
        "CpuShares": 2,
        "CpuPeriod": 0,
        "CpusetCpus": "",
        "CpusetMems": "",
        "CpuQuota": 0,
        "BlkioWeight": 0,
        "OomKillDisable": false,
        "MemorySwappiness": null,
        "Privileged": false,
        "PortBindings": null,
        "Links": null,
        "PublishAllPorts": false,
        "Dns": [
            "172.18.0.173",
            "172.18.0.2"
        ],
        "DnsSearch": [
            "default.svc.cluster.local",
            "svc.cluster.local",
            "cluster.local",
            "ec2.internal"
        ],
        "ExtraHosts": null,
        "VolumesFrom": null,
        "Devices": null,
        "NetworkMode": "container:8549a2e33779c05f3f4eb2d2647689278e7ee204869965a453a97637236f0eb6",
        "IpcMode": "container:8549a2e33779c05f3f4eb2d2647689278e7ee204869965a453a97637236f0eb6",
        "PidMode": "",
        "UTSMode": "",
        "CapAdd": null,
        "CapDrop": null,
        "GroupAdd": null,
        "RestartPolicy": {
            "Name": "",
            "MaximumRetryCount": 0
        },
        "SecurityOpt": [
            "label:level:s0:c1,c0"
        ],
        "ReadonlyRootfs": false,
        "Ulimits": null,
        "LogConfig": {
            "Type": "json-file",
            "Config": {}
        },
        "CgroupParent": "",
        "ConsoleSize": [
            0,
            0
        ]
    },
    "GraphDriver": {
        "Name": "devicemapper",
        "Data": {
            "DeviceId": "505",
            "DeviceName": "docker-202:2-42612574-11c8486c5895f8a5968fa3ffbbd4b3c26600f2112f1bedd1f10e2bf721da7375",
            "DeviceSize": "107374182400"
        }
    },
    "Mounts": [
        {
            "Source": "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/volumes/kubernetes.io~secret/default-token-269t7",
            "Destination": "/var/run/secrets/kubernetes.io/serviceaccount",
            "Mode": "ro,Z",
            "RW": false
        },
        {
            "Source": "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/etc-hosts",
            "Destination": "/etc/hosts",
            "Mode": "",
            "RW": true
        },
        {
            "Source": "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/containers/registry/11c8486c5895f8a5968fa3ffbbd4b3c26600f2112f1bedd1f10e2bf721da7375",
            "Destination": "/dev/termination-log",
            "Mode": "",
            "RW": true
        },
        {
            "Source": "/data/src/github.com/openshift/origin/_output/local/bin/linux/amd64/openshift.local.volumes/pods/1c667992-a93d-11e5-887a-0e34071fbebb/volumes/kubernetes.io~empty-dir/registry-storage",
            "Destination": "/registry",
            "Mode": "Z",
            "RW": true
        }
    ],
    "Config": {
        "Hostname": "docker-registry-1-3q416",
        "Domainname": "",
        "User": "1000000000",
        "AttachStdin": false,
        "AttachStdout": false,
        "AttachStderr": false,
        "ExposedPorts": {
            "5000/tcp": {}
        },
        "PublishService": "",
        "Tty": false,
        "OpenStdin": false,
        "StdinOnce": false,
        "Env": [
            "OPENSHIFT_CA_DATA=-----BEGIN CERTIFICATE-----\nMIIC5jCCAdCgAwIBAgIBATALBgkqhkiG9w0BAQswJjEkMCIGA1UEAwwbb3BlbnNo\naWZ0LXNpZ25lckAxNDUwODUxMTY3MB4XDTE1MTIyMzA2MTI0N1oXDTIwMTIyMTA2\nMTI0OFowJjEkMCIGA1UEAwwbb3BlbnNoaWZ0LXNpZ25lckAxNDUwODUxMTY3MIIB\nIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAsMUrOp/kexD1/U7j5QKuPDv8\nTX8GO71MADjEKFV0+USQqutYMyiRri3uKLjwc8NBxg5BieGYp9A3ei1Swj2Y2xLT\nayodKz9tWGZI5FQBdRJhR+5oLcN0rhU4jG/Pv6kfzIOBIvq58ObtomUd2sm1rjYO\nypQwWtz9/GBnOVIPLJHarEgrLhGvnfr0rm114fQdZpJKAfIfpkcTvhtHCrmFksei\n4nPTnl/CJTWE0ExTAnif5BwKYv4xtjI26CdsG90usGplVTFvVNq7/0JJ3vI14Kse\nkrM+ma/VVGFx5WtlO4p+Zu3+iKMb4y0Oldi6XaUsAAQ+K2ZundcUeSzJe6fczwID\nAQABoyMwITAOBgNVHQ8BAf8EBAMCAKQwDwYDVR0TAQH/BAUwAwEB/zALBgkqhkiG\n9w0BAQsDggEBAJ5TFjer6ZIVbHdnOHi7BvlpbAxiTcIdxxVVVUoxJhWW+zeoViDk\nApA+z5qJa5xNYYgloW+tqgNCX5wwDRA5wwQfqhFjl2SdYPOO8iRQ30KtmKbBOXTz\n6YaggvuxiBW72KU1wgnuspaKIfYHEZdCLEnNG1zkkCSqD6pIeAqyZKCLuuU/MuJl\nVZfK9EsV+d1kFskORdtCKcb8Vi4lPkjgg2oFhinre9Ri5NGz+px3w3P1HloqWAl0\nS2Sj7PdqXvCt+rCdI9N264bXDQhjRlI9NA9srosEB2yXX3VKjPY2jLoesxDf0rdg\nogQozJqMI952wgCQTARhre4B0Y4CPddEROc=\n-----END CERTIFICATE-----\n",
            "OPENSHIFT_CERT_DATA=-----BEGIN CERTIFICATE-----\nMIIDEjCCAfygAwIBAgIBCjALBgkqhkiG9w0BAQswJjEkMCIGA1UEAwwbb3BlbnNo\naWZ0LXNpZ25lckAxNDUwODUxMTY3MB4XDTE1MTIyMzA2MTI1NFoXDTE3MTIyMjA2\nMTI1NVowQDEaMBgGA1UEChMRc3lzdGVtOnJlZ2lzdHJpZXMxIjAgBgNVBAMTGXN5\nc3RlbTpvcGVuc2hpZnQtcmVnaXN0cnkwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAw\nggEKAoIBAQDMLUono+xexZr+LmZncZfMQBGCQem1f7edeuppaqXMqhd7BTPCHJtY\npJA1TTYNrJ2l5b9bbHIbFV2ukm08uGicC9Y4wOZ/J2GnqgNv9XmWTMlvE254J0M1\nme9v3zzxW74qgNB9Legpu77ux2gHFThItci9Q/97FrybuuFcnvJwE2aqyRotebN2\nX+Z92l7cWdtxEY5HHZmJap30fdnXoKesn++kCtv+d/sycYRUfIFQuMGsP7SDOJrA\nxZRFs4QFvCkTZPLjO+7EuVshS31WZx2lq1OF5p8uthZxYv52+exuKP4RM3qj+97g\nFoBaOYz4VOitOKsLUVvRxezCDCIZTPgDAgMBAAGjNTAzMA4GA1UdDwEB/wQEAwIA\noDATBgNVHSUEDDAKBggrBgEFBQcDAjAMBgNVHRMBAf8EAjAAMAsGCSqGSIb3DQEB\nCwOCAQEAHAY4daACaz0jqPzS5ZWyr+YPXh5aGINnImwIcxjx6P8AyWK3renhpy/h\nvz2BtmlzYoe/TtFcQ6sZqDqKj3kOaTwa88HJ6tO/jkqIIePUtkRj8d9z58hdEO9n\n/SVO2OBl4gBC8Jp1y2R2PN6cMsvq7qya4Do/ZSV5ACUU/Z7k4MwlcrDDR5OCwyzu\n303AGPI/p42rY3tkPH7+Ykv+E4JpHgzgol932EloTBUTEWUVOR/+XT0mPNOwaUHA\nT1WJ06eMaBRSaV622f4ps8pUh+j2TzUxJQi0cfuT+ipw5fXpBQ51pZuf8SWdwEkI\n2RNZVO9ipP4BIQTV3ekyaJI1PyN/gA==\n-----END CERTIFICATE-----\n",
            "OPENSHIFT_INSECURE=false",
            "OPENSHIFT_KEY_DATA=-----BEGIN RSA PRIVATE KEY-----\nMIIEpQIBAAKCAQEAzC1KJ6PsXsWa/i5mZ3GXzEARgkHptX+3nXrqaWqlzKoXewUz\nwhybWKSQNU02DaydpeW/W2xyGxVdrpJtPLhonAvWOMDmfydhp6oDb/V5lkzJbxNu\neCdDNZnvb9888Vu+KoDQfS3oKbu+7sdoBxU4SLXIvUP/exa8m7rhXJ7ycBNmqska\nLXmzdl/mfdpe3FnbcRGORx2ZiWqd9H3Z16CnrJ/vpArb/nf7MnGEVHyBULjBrD+0\ngziawMWURbOEBbwpE2Ty4zvuxLlbIUt9VmcdpatTheafLrYWcWL+dvnsbij+ETN6\no/ve4BaAWjmM+FTorTirC1Fb0cXswgwiGUz4AwIDAQABAoIBAQCHr91lBJIT1VyQ\naQOS4TGRAk7gcq8+9/ZtSH85uS8gGTVrguSHrn0qZoqTcZFnevx1gH4v4pzeFM/i\nMNs5jA+xDEi8BK3peKF0TA7mu4qm8La5A3/Zh7Ypi/hML14Pw/lXw61KU1TDT0qu\n4oPmmRqDb5NM/EBva4fCMmqMI/FXuszqyiCMItWGVEhY+bp4DI5FxI3FmDVTgTaj\n7mFF60eprBjkCT7ULj0TGbRbefwHgru4QlKPbSy9Sx19CCXnyWfE6Z7iAya40DT0\nl9A3kh033YRqbe7hVYy5jSLMwNzWg76lFaaQi1aIUApft5logLEZqIPr9qGwx2kY\nQW2F0VUpAoGBAN1ZTBM4xbJp6r2F7/ecc4gn0Oxpci9CGNIZVicPBgxHQS9YtfXT\nsGSjNK5knoCWuTQgTJzSpRS1kNyUg2UwTRAW+Pcky/NI9y1fPu2H7UOvxi+vpCxu\n+2Jk4wpTh/ph7OK9+hclaY1PyknWJz8oAFGml2CBNDM90hX1wNU9AoFNAoGBAOwj\n0R7Ih0x/EmbKZZJvkb2TAOIiScunS+fjDIkRAS3DAaRYFfueccl3StoOayJPWGDZ\n6GnYuU5Fg/hys8MdjE01kf82yYKZTR2tYLv9Cen72ddNGknj3rYBbTsCRzKtzY9q\nH2qR/KAzQMzHpNnWIB1K6PH3821vYS+w///z4raPAoGBAKdW/SaDAyMQ5ACII5Tk\n2IsU3uP8C/EiXTVpJjK9LutVazhqLpY8hdxvbkJxm0rHqBh6WrEsptTzNyMru/Ji\nA8CoPWxKi03P2d6ZZS+aVYuYdZJTjSByfuYyM1r5L5HhOn9o9ItPI29L5TjRCDa8\n/RC9iy/QPjCHCi7D7hbH2v75AoGBAKP7r3IoIUTvDZFSRjztu5ChcECZPRPu5phu\npLrekyn7PL2q6gElI7GbZOCOmLlnzmDbkjlG5lBDmATFaq45a8AGTo+jtUY7PUE5\nsG57pxHU8o9AHNxpILTVwsvypgy8g35vXMe9/2gkj4Blt8YKm5yb865s2KALc7sR\nuIU/ERZjAoGAW/mBcCQ4ewI9aLyTvp+AJD4GrhC8ho4arhwCXpfOCtsLvcOTJfrb\nampC2AhgLDryVoh9u1sd3er8lSskH43dps13cXteD44QLgXzSkp2GV6clCFKqhUS\njEdJNgKGF5HNMSBDDYtXXBuQL53L/nAK3F0VIWSx9q1w4nLuMhoxH0Y=\n-----END RSA PRIVATE KEY-----\n",
            "OPENSHIFT_MASTER=https://172.18.0.173:8443",
            "DOCKER_REGISTRY_SERVICE_PORT=5001",
            "DOCKER_REGISTRY_SERVICE_PORT_5001_TCP=5001",
            "DOCKER_REGISTRY_PORT_5001_TCP=tcp://172.30.110.247:5001",
            "KUBERNETES_SERVICE_PORT=443",
            "KUBERNETES_PORT_53_UDP=udp://172.30.0.1:53",
            "KUBERNETES_PORT_53_UDP_PORT=53",
            "DOCKER_REGISTRY_SERVICE_HOST=172.30.110.247",
            "KUBERNETES_PORT_53_UDP_ADDR=172.30.0.1",
            "KUBERNETES_PORT_53_TCP=tcp://172.30.0.1:53",
            "KUBERNETES_PORT_53_TCP_PORT=53",
            "DOCKER_REGISTRY_PORT=tcp://172.30.110.247:5001",
            "KUBERNETES_SERVICE_PORT_DNS_TCP=53",
            "KUBERNETES_PORT_443_TCP=tcp://172.30.0.1:443",
            "KUBERNETES_PORT_443_TCP_PROTO=tcp",
            "KUBERNETES_PORT_443_TCP_ADDR=172.30.0.1",
            "DOCKER_REGISTRY_PORT_5001_TCP_PORT=5001",
            "DOCKER_REGISTRY_PORT_5001_TCP_ADDR=172.30.110.247",
            "KUBERNETES_PORT_53_UDP_PROTO=udp",
            "KUBERNETES_PORT_53_TCP_PROTO=tcp",
            "KUBERNETES_PORT_53_TCP_ADDR=172.30.0.1",
            "KUBERNETES_SERVICE_HOST=172.30.0.1",
            "KUBERNETES_SERVICE_PORT_HTTPS=443",
            "KUBERNETES_SERVICE_PORT_DNS=53",
            "KUBERNETES_PORT=tcp://172.30.0.1:443",
            "KUBERNETES_PORT_443_TCP_PORT=443",
            "DOCKER_REGISTRY_PORT_5001_TCP_PROTO=tcp",
            "PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin",
            "REGISTRY_CONFIGURATION_PATH=/config.yml"
        ],
        "Cmd": [
            "/bin/sh",
            "-c",
            "DOCKER_REGISTRY_URL=${DOCKER_REGISTRY_SERVICE_HOST}:${DOCKER_REGISTRY_SERVICE_PORT} /dockerregistry ${REGISTRY_CONFIGURATION_PATH}"
        ],
        "Image": "openshift/origin-docker-registry:latest",
        "Volumes": {
            "/registry": {}
        },
        "VolumeDriver": "",
        "WorkingDir": "",
        "Entrypoint": null,
        "NetworkDisabled": false,
        "MacAddress": "",
        "OnBuild": null,
        "Labels": {
            "io.kubernetes.pod.name": "default/docker-registry-1-3q416",
            "io.kubernetes.pod.terminationGracePeriod": "30"
        }
    }
}
]
Comment 2 zhou ying 2015-12-23 02:55:23 EST
When using option '--volume' will meet the same issue.
Comment 3 Paul Weil 2015-12-23 09:58:03 EST
Thanks Zhou - opened an issue to discuss some of the options here: https://github.com/openshift/origin/issues/6482
Comment 4 Andy Goldstein 2016-01-06 08:36:38 EST
Not a 3.1.1 blocker
Comment 5 zhou ying 2016-04-15 02:56:20 EDT
The pr has merged , can we move the bug to On_QA?
Comment 6 zhou ying 2016-04-15 02:58:31 EDT
I've verified on latest AEP env , the --port has set on REGISTRY_HTTP_ADDR, and take effect.

Note You need to log in before you can comment on or make changes to this bug.